package com.auto.clicker.autoclicker.data;

import android.view.WindowManager;

import com.auto.clicker.autoclicker.view.ConnectingLineView;


public class SlideEvent extends Event {
    private PointEvent startPoint;
    private PointEvent endPoint;
    private ConnectingLineView lineView;
    private WindowManager.LayoutParams lineParams;
    private long durationMillis; // 滑动时间

    public SlideEvent(int id, PointEvent startPoint, PointEvent endPoint,
                      ConnectingLineView lineView, WindowManager.LayoutParams lineParams) {
        super(id);
        this.startPoint = startPoint;
        this.endPoint = endPoint;
        this.lineView = lineView;
        this.lineParams = lineParams;
    }

    public PointEvent getStartPoint() {
        return startPoint;
    }

    public void setStartPoint(PointEvent startPoint) {
        this.startPoint = startPoint;
    }

    public PointEvent getEndPoint() {
        return endPoint;
    }

    public void setEndPoint(PointEvent endPoint) {
        this.endPoint = endPoint;
    }

    public ConnectingLineView getLineView() {
        return lineView;
    }

    public void setLineView(ConnectingLineView lineView) {
        this.lineView = lineView;
    }

    public WindowManager.LayoutParams getLineParams() {
        return lineParams;
    }

    public void setLineParams(WindowManager.LayoutParams lineParams) {
        this.lineParams = lineParams;
    }

    public long getDurationMillis() {
        return durationMillis;
    }

    public void setDurationMillis(long durationMillis) {
        this.durationMillis = durationMillis;
    }
}